Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcbase
Class ExceptionCode

    java.lang.Object
      org.deegree.ogcbase.ExceptionCode

Direct Known Subclasses:
  CSWExceptionCode, WCSExceptionCode, WCTSExceptionCode

    public class ExceptionCode

extends Object

Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary
`static ExceptionCode` | `CURRENT_UPDATE_SEQUENCE`
`static ExceptionCode` | `INTERNAL_SERVER_ERROR` The service is not initialized
`static ExceptionCode` | `INVALID_CRS`
`static ExceptionCode` | `INVALID_FORMAT`
`static ExceptionCode` | `INVALID_POINT`
`static ExceptionCode` | `INVALID_SRS`
`static ExceptionCode` | `INVALID_UPDATESEQUENCE`
`static ExceptionCode` | `INVALIDDIMENSIONVALUE`
`static ExceptionCode` | `INVALIDPARAMETERVALUE`
`static ExceptionCode` | `LAYER_NOT_DEFINED`
`static ExceptionCode` | `LAYER_NOT_QUERYABLE`
`static ExceptionCode` | `MISSINGDIMENSIONVALUE`
`static ExceptionCode` | `MISSINGPARAMETERVALUE`
`static ExceptionCode` | `NOAPPLICABLECODE`
`static ExceptionCode` | `OPERATIONNOTSUPPORTED`
`static ExceptionCode` | `SOAP_CLIENT` The soap exception code which flags The Client class of errors indicate that the message was incorrectly formed or did not contain the appropriate information in order to succeed.
`static ExceptionCode` | `SOAP_MUST_UNDERSTAND` The soap element with the mustUnderstand attribute is not understood by the soap handler
`static ExceptionCode` | `SOAP_SERVER` The soap exception code which flags that the semantic of the request was not understood (i.e. an OGCWebserviceException)
`static ExceptionCode` | `STYLE_NOT_DEFINED`
`String` | `value`
`static ExceptionCode` | `VERSIONNEGOTIATIONFAILED`

Constructor Summary
`ExceptionCode()` default value = TC211, (InvalidFormat)
`ExceptionCode(String value)`

Method Summary
`boolean` | `equals(Object object)` Compares the specified object with this class for equality.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INTERNAL_SERVER_ERROR

    public static final ExceptionCode INTERNAL_SERVER_ERROR

  The service is not initialized

### SOAP_MUST_UNDERSTAND

    public static final ExceptionCode SOAP_MUST_UNDERSTAND

  The soap element with the mustUnderstand attribute is not understood by the soap handler

### SOAP_SERVER

    public static final ExceptionCode SOAP_SERVER

  The soap exception code which flags that the semantic of the request was not understood (i.e. an OGCWebserviceException)

### SOAP_CLIENT

    public static final ExceptionCode SOAP_CLIENT

  The soap exception code which flags The Client class of errors indicate that the message was incorrectly formed or did not contain the appropriate information in order to succeed. For example, the message could lack the proper authentication or payment information.

### INVALID_FORMAT

    public static final ExceptionCode INVALID_FORMAT

### INVALID_UPDATESEQUENCE

    public static final ExceptionCode INVALID_UPDATESEQUENCE

### CURRENT_UPDATE_SEQUENCE

    public static final ExceptionCode CURRENT_UPDATE_SEQUENCE

### MISSINGPARAMETERVALUE

    public static final ExceptionCode MISSINGPARAMETERVALUE

### INVALIDPARAMETERVALUE

    public static final ExceptionCode INVALIDPARAMETERVALUE

### INVALIDDIMENSIONVALUE

    public static final ExceptionCode INVALIDDIMENSIONVALUE

### MISSINGDIMENSIONVALUE

    public static final ExceptionCode MISSINGDIMENSIONVALUE

### OPERATIONNOTSUPPORTED

    public static final ExceptionCode OPERATIONNOTSUPPORTED

### VERSIONNEGOTIATIONFAILED

    public static final ExceptionCode VERSIONNEGOTIATIONFAILED

### NOAPPLICABLECODE

    public static final ExceptionCode NOAPPLICABLECODE

### LAYER_NOT_DEFINED

    public static final ExceptionCode LAYER_NOT_DEFINED

### STYLE_NOT_DEFINED

    public static final ExceptionCode STYLE_NOT_DEFINED

### INVALID_SRS

    public static final ExceptionCode INVALID_SRS

### INVALID_CRS

    public static final ExceptionCode INVALID_CRS

### LAYER_NOT_QUERYABLE

    public static final ExceptionCode LAYER_NOT_QUERYABLE

### INVALID_POINT

    public static final ExceptionCode INVALID_POINT

### value

    public String value

Constructor Detail

### ExceptionCode

    public ExceptionCode()

  default value = TC211, (InvalidFormat)

### ExceptionCode

    public ExceptionCode(String value)

Parameters:
  `value` -

Method Detail

### equals

    public boolean equals(Object object)

  Compares the specified object with this class for equality.

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org